Bug 131332 - Radeon Mobility 7500 not being configured well
Radeon Mobility 7500 not being configured well
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Depends On:
  Show dependency treegraph
Reported: 2004-08-31 01:01 EDT by Colin Charles
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-03 14:07:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
The default file, created by system-config-display (2.74 KB, text/plain)
2004-08-31 01:02 EDT, Colin Charles
no flags Details
The xorg.conf that actually works (2.16 KB, text/plain)
2004-08-31 01:03 EDT, Colin Charles
no flags Details

  None (edit)
Description Colin Charles 2004-08-31 01:01:38 EDT
Description of problem: system-config-display doesn't configure the
video card on the iBook G3 well enough. Even at the default 640x480,
the modelines aren't supported and the iBook doesn't have X displaying

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install Fedora Core on the Mac
2. X starts up, at 640x480, with screen flicker

Actual results:
Screen flicker, low resolution, when GDM is displayed

Expected results:
1024x768 (or even the fallback 800x600 which seems to be the default
on many other boxes), with no screen flicker

Additional info:

The screen issues seem to be related to the "radeon" driver being
used. When using fbdev, it works well. I can't recollect if I used
radeon before, during the FC2 days, but it was most likely fbdev since
I used the ydl.net Xautoconfig utility
Comment 1 Colin Charles 2004-08-31 01:02:58 EDT
Created attachment 103278 [details]
The default file, created by system-config-display
Comment 2 Colin Charles 2004-08-31 01:03:47 EDT
Created attachment 103279 [details]
The xorg.conf that actually works
Comment 3 Colin Charles 2004-08-31 01:05:24 EDT
Could also be related to the fact that ddcprobe is still borked
(detecting 2MB of video ram, rather than the 32MB that Apple ships it


Videocard DDC probe results
Description:  ATI Radeon LW
Memory (MB):  2048

Monitor DDC probe results
ID: APP129c
Name: Color LCD
Width (mm): 250
Height(mm): 180
Comment 4 Bill Nottingham 2004-08-31 12:13:47 EDT
Not sure the OF-based memory probing actually works.
Comment 5 Paul Nasrat 2004-09-07 04:29:10 EDT
The comments in the code seem to imply that.  The Xautoconfig ddcprobe
code notes:

OFfb vram info is unreliable so we set a reasonable default. OFfb is
used mostly on GeForce2/4 hardware most of the time which has a
reasonable ammount of vram:

then proceeds to do:

if (!strncmp(fix.id, "OFfb", 4)) {
    ret->memory_size = 16834;
} else {
    ret->memory_size = (fix.smem_len/1024);

Colin out of curiosity can you see if lshw -C display
(http://ezix.sourceforge.net/software/lshw.html - I just ran post

reports size correctly.  This takes the approach of poking the PCI
base address bits to figure out the memory.  There may be another
approach we can use with /proc/device-tree and the reg property for
Comment 6 Colin Charles 2004-09-07 10:16:51 EDT
Paul, I'll tell you when I get my iBook back - its gone in for a logic
board replacement, sigh

(and you're off irc, so I'm bugzilla'ing this :P)

So ETA is under 1 week, I hope.
Comment 7 Colin Charles 2004-09-15 12:56:45 EDT
Nope, running it gave me 128MB of RAM (the card only has 32MB)

./lshw -C display
       description: VGA compatible controller (VGA)
       product: Radeon Mobility M7 LW [Radeon Mobility 7500]
       vendor: ATI Technologies Inc
       physical id: 10
       bus info: pci@00:10.0
       logical name: /dev/fb0
       version: 00
       size: 128MB
       clock: 66MHz
       capabilities: vga bus_master cap_list fb
       configuration: depth=16 driver=radeonfb frequency=60.01Hz
mode=1024x768 visual=directcolor xres=1024 yres=768
       resources: iomemory:98000000-9fffffff ioport:802400-8024ff
iomemory:90000000-9000ffff irq:48

But even the lspci -vv (or -vn) report shows 128MB of ram, so we're
not getting a sane answer, it'd seem
Comment 8 Colin Charles 2005-02-11 12:50:01 EST
Doing an install, with rawhide (1108036703.195240), the installer now doesn't
give me a 1024x768 screen (or anything right for that matter). Have to move
around the virtual screen, and then start clicking next and so on...

From vc1, only "errors" I see are:
/usr/lib/python2.4/whrandom.py:38: DeprecationWarning: the whrandom module is
deprecated; please use the random module
/usr/lib/anaconda/gui.py:455: DeprecationWarning: use
gtk.gdk.Drawable.draw_pixbuf gtk.gdk.RGB_DITHER_MAX, 0, 0)

Lets see if X gets going ;-)
Comment 9 Adam Jackson 2006-09-21 18:37:08 EDT
Any news on this?  FC6 test3 should get this mostly right.
Comment 10 Adam Jackson 2006-12-11 15:47:25 EST
Reporter, please test with FC6, we've put a lot of work into autoconfiguration
there and it should be doing the right thing now.  Please reopen if this is
still an issue for you.
Comment 11 Adam Jackson 2007-04-03 14:07:05 EDT
NEEDINFO timeout, resolving as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.